OGRE-Next: Ogre::v1::KeyFrame Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::KeyFrame Class Reference
Core » Animation

A key frame in an animation sequence defined by an AnimationTrack. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::v1::KeyFrame:
[legend]

## Public Member Functions
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
virtual KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only)
Real | getTime () const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

A key frame in an animation sequence defined by an AnimationTrack.

Remarks
  This class can be used as a basis for all kinds of key frames. The unifying principle is that multiple KeyFrames define an animation sequence, with the exact state of the animation being an interpolation between these key frames.

## Constructor & Destructor Documentation

## ◆ KeyFrame()

Ogre::v1::KeyFrame::KeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Referenced by _clone(), Ogre::v1::NumericKeyFrame::_clone(), Ogre::v1::TransformKeyFrame::_clone(), Ogre::v1::VertexMorphKeyFrame::_clone(), and Ogre::v1::VertexPoseKeyFrame::_clone().

## ◆ ~KeyFrame()

virtual Ogre::v1::KeyFrame::~KeyFrame | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ _clone()

virtual KeyFrame * Ogre::v1::KeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| virtual

Clone a keyframe (internal use only)

Reimplemented in Ogre::v1::NumericKeyFrame, Ogre::v1::TransformKeyFrame, Ogre::v1::VertexMorphKeyFrame, and Ogre::v1::VertexPoseKeyFrame.

References KeyFrame().

## ◆ getTime()

Real Ogre::v1::KeyFrame::getTime | ( |  | ) | const
| inline

Gets the time of this keyframe in the animation sequence.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h